#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-40bKJKTB4Za8ir7Ho4NK0q
key:                  hOpenPGP-2.9.8-40bKJKTB4Za8ir7Ho4NK0q
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  afeb1cb958ec83265816f361ffef7c78
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-40bKJKTB4Za8ir7Ho4NK0q
depends:
    aeson-2.1.2.1-8ueLuG1qYj9Fbt4mgkSEM3
    asn1-encoding-0.9.6-61EWMIsBgZTKrF9aklEuts
    attoparsec-0.14.4-9F9tnN8VDhqE7eiteCM5HG base-4.16.4.0
    base16-bytestring-1.0.2.0-F7DNzPbEN6Eq9b4oXyVmw
    bifunctors-5.6-CXgqAhI7876JyZBdVY4LvP binary-0.8.9.0
    binary-conduit-1.3.1-LTvpeIcxTljAuB4q1G5u3m bytestring-0.11.4.0
    bz2-1.0.1.1-3ZurszzrOTk6uDhrUdiBFJ
    conduit-1.3.6-DKxmXDBSAtbFEdhj7gVmd7
    conduit-extra-1.3.6-1Or7Te9mTSo6tE5jYEaUcD containers-0.6.5.1
    crypto-cipher-types-0.0.9-JlEUy6YMnlQJGxVQmgyp8z
    cryptonite-0.30-ElPkBkoF3YpSH1ai7Agr
    errors-2.3.0-CD3WPEhAhcR5OIObnr4QLK
    hashable-1.4.4.0-JPPoH0HitSIaCdulNsJk5
    incremental-parser-0.5.1-7ZGxm7RISzKGPxGonJtQZh
    ixset-typed-0.5.1.0-D5RPHzpN2Yj6hlS39RPUUg
    lens-5.2.3-IfVI0lYg8YCKwUpCShTCzd
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    monad-loops-0.4.3-1PoLx7GFY2f6JjKzBe0o6E
    nettle-0.3.1.1-IesfSaYKwdg21K60p9ny7B
    network-uri-2.6.4.2-GvYkTKJEBgnFJWy62fBoLH
    openpgp-asciiarmor-0.1.2-CVr7jZ4NxwcJogpD4bq0HU
    prettyprinter-1.7.1-FwYj3d7rW5CDGL1YKaWjsE
    resourcet-1.2.6-FuwUbRkPz8Z2g3NTjJ9eC3
    split-0.2.5-B7uE7JxIHcwESAkMONhDLD text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    transformers-0.5.6.2 unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-E4Tm9IvXwjlGK4H2DBnoSH
    zlib-0.6.3.0-KxPh3LWg9jfJaWMYSGm5Bu

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

